CompressedSegmentedFile (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.util
Class CompressedSegmentedFile

    java.lang.Object
      org.apache.cassandra.io.util.SegmentedFile
          org.apache.cassandra.io.util.CompressedSegmentedFile

    public class CompressedSegmentedFile

extends SegmentedFile

Nested Class Summary
`static class` | `CompressedSegmentedFile.Builder`

Field Summary
`CompressionMetadata` | `metadata`

Fields inherited from class org.apache.cassandra.io.util.SegmentedFile
`length, onDiskLength, path`

Constructor Summary
`CompressedSegmentedFile(java.lang.String path, CompressionMetadata metadata)`

Method Summary
`void` | `cleanup()` Do whatever action is needed to reclaim ressources used by this SegmentedFile.
`FileDataInput` | `getSegment(long position)`

Methods inherited from class org.apache.cassandra.io.util.SegmentedFile
`getBuilder, getCompressedBuilder, iterator, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### metadata

    public final CompressionMetadata metadata

Constructor Detail

### CompressedSegmentedFile

    public CompressedSegmentedFile(java.lang.String path,
                                   CompressionMetadata metadata)

Method Detail

### getSegment

    public FileDataInput getSegment(long position)

  Specified by:
    `getSegment` in class `SegmentedFile`

### cleanup

    public void cleanup()

  Description copied from class: `SegmentedFile`
  Do whatever action is needed to reclaim ressources used by this SegmentedFile.

  Specified by:
    `cleanup` in class `SegmentedFile`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation